%define momorel 2
Summary: Fast Assembly Mpeg Encoding library
Name: libfame
Version: 0.9.0
Release: %{momorel}m
License: LGPL
Group: System Environment/Libraries
Source0: http://keihanna.dl.sourceforge.net/sourceforge/fame/libfame-%{version}.tar.gz
NoSource: 0
URL: http://fame.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
FAME is a library for fast MPEG encoding.

%package devel
Summary: Libraries and include to develop using FAME
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
FAME is a library for fast MPEG encoding.

This is the libraries, include files and other resources you can use
to develop FAME applications.

%prep

%setup -q

%build
%configure --enable-sse
export SED="%__sed" EGREP="%__grep -E" LTCC='gcc' max_cmd_len=32768
%make

%install
rm -rf %{buildroot}
export SED="%__sed" EGREP="%__grep -E" LTCC='gcc' max_cmd_len=32768
%makeinstall

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_bindir}/*-config
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*
%{_datadir}/aclocal/*
%{_mandir}/man3/*

%changelog
* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (0.9.0-2m)
- revised spec for enabling rpm 4.2.

* Thu Sep  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.0-1m)
- initial import to momonga
